﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_CourseHist>
<style type="text/css">
    div.box div.overlay {
        display: none;
    }
</style>
<script type="text/javascript">
    $(document).ready(function () {
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    });
</script>
<table>
    <tr>
        <th style="width:150px;overflow:hidden">From</th>
        <th style="width:150px;overflow:hidden">To</th>
        <th style="width:100px;overflow:hidden">Amount</th>
        
        <th style="width:100px;overflow:hidden">Course</th>
        <th style="width:100px;overflow:hidden">Package</th>
        <th style="width:100px;overflow:hidden">Group Name</th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @{
        var fromdate = string.Format("{0:dd MMM,yyyy}", item.FromDate);
                }
                @fromdate
            </td>
            <td>
                @{
        var todate = string.Format("{0:dd MMM,yyyy}", item.Todate);
                }
                @todate
            </td>
            <td>@item.Amout</td>
            
            <td>
                @{
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        string coursename = db.MaCourses.Where(z => z.Id == item.CourseId).Select(z => z.CourseName).FirstOrDefault();
                }
                @coursename
            </td>
            <td>
                @{

        string packagename = db.MaPackages.Where(z => z.Id == item.PackageId).Select(z => z.PackageName).FirstOrDefault();
                }
                @packagename
            </td>
            <td>@item.GroupName</td>
        </tr>
    }

</table>